apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: migratieketen

resources:
  - ../../services/misc-index
  - ../../services/misc-swagger-editor

images:
  - name: swagger-editor-image
    newName: digilabpublic.azurecr.io/swaggerapi/swagger-editor
    newTag: v4.11.2

patches:
  - target:
      kind: Ingress
      name: misc-index-ing
    patch: |
      - op: replace
        path: /spec/rules/0/host
        value: index-127.0.0.1.nip.io
  - target:
      kind: Ingress
      name: misc-swagger-editor-ing
    patch: |
      - op: replace
        path: /spec/rules/0/host
        value: swagger-editor-127.0.0.1.nip.io
